Subject: RE: How to build static lib's
From: "Suhaib Siddiqi" <[email-masked]>
To: "Mumit Khan" <[email-masked]>, "Kevin Wright" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 27 Sep 1999 15:35:45 -0400

Gtk+ and GNOME for MingW32 are available.  They are build as shared
libs (DLLs) I do not remember URL from where I downloaded them
couple of weeks ago.

Suhaib

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Mumit Khan
> Sent: Monday, September 27, 1999 3:31 PM
> To: Kevin Wright
> Cc: [email-masked]
> Subject: Re: How to build static lib's
>
>
> "Kevin Wright" <[email-masked]> writes:
> > Hello,
> >
> > I've been using cygwin for about a year and have
> > always had some problems building static only
> > versions of libraries such as glib and gtk+.
> >
> > Here's the configure options I've tried:
> >
> > ./configure --disable-shared --disable-shm
> --disable-nls --no-recursion
> >
> > However, I still end up building the .lo & subsequent
> .la files.
> > I tried hacking the libtool files but that was useless
> because it gets
> > created during the configure process. The problem is
> that certain lib's
> > programs fail with messages such as:
> >
> > gdk_imlib ERROR: Cannot load image:
> > /usr/local/share/pixmaps/gnome-question.png
> > All fallbacks failed.
> >
> > WARNING: previous dlopen of
> > E:\usr\local\lib\libimlib-png.so wasn't correctly performed
>
> This problem is due to a bug in cygwin-b20, and is fixed in recent
> snapshots. In most cases, it is quite harmless (unless
> you're creating
> subprocesses using fork/exec, in which case odd things
> may happen).
>
> > Is there a way to make these libs truly static?
> >
> > I'm using gcc 2.95 and cygwin b20.1. Perhaps this is fixed in a
> > newer snapshot of the cygwin1.dll but I am waiting for the
> > complete installation package to be released.
>
> You need to ask the GTK folks about it. --disable-shared
> should have
> created static libs only, but for some packages, that is
> not an option.
> It's not possible to tell what the problem is from just
> what you've
> posted, sorry.
>
> Regards,
> Mumit
>
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]